﻿function settingStep(step) {
	$('.setting_step li').eq(0).html(L10N.GLOBAL.SETP_GET_START).addClass('step1');	
	$('.setting_step li').eq(1).html(L10N.GLOBAL.SETP_SCANNING).addClass('step2');	
	$('.setting_step li').eq(2).html(L10N.GLOBAL.SETP_FIX_PROBLEMS).addClass('step3');		
	$('.setting_step li').removeClass('current_step').eq((step-1)).addClass('current_step');
	$('.setting_step').css('background-position','0px -'+((step-1)*31)+'px');
}
function loadStartedPage() {

	$('#tab1_c').load('started.html',
		function() {
			settingStep(1);
			/*
			*	set L10N	
			*/			
			$('.scan_method').html(L10N.GLOBAL.SETTING_METHOD);
			$('.feature_title.scan_all span').html(L10N.GLOBAL.SETTING_SCAN_ALL);
			$('.feature_title.target_a_window span').html(L10N.GLOBAL.SETTING_TARGET_WINDOW);
			$('.feature_title.list_all_processes span').html(L10N.GLOBAL.SETTING_LIST_ALL);			
			$('.scan_all_dsc').html(L10N.GLOBAL.SETTING_DSC_1);
			$('.scan_selected_dsc').html(L10N.GLOBAL.SETTING_DSC_3);
			$('.target_a_window_dsc').html(L10N.GLOBAL.SETTING_DSC_2);			
			/*
			* SET BEHAVIOR
			*/
			$('.feature_title').each(
				function(index,list) {			
					$(list)
					.bind('click',
						function() {							
							if($(this).is('.scan_all')) scanAll();
							if($(this).is('.target_a_window')) targetWindow();
							if($(this).is('.list_all_processes')) listAll();
							if($(this).is('.remove_unwanted_software')) removeUnwantedSoftware();
						}
					);
				}
			);
		}
	);
}

function listAllBack(data){
	$('#tab1_c').load('list_processes.html',
		function(){
			/*
			*	set L10N	
			*/
			settingStep(1);
			$('.step_discription').html(L10N.GLOBAL.LIST_PROCESSES_DISCRIPTION);
			$('.selected_item_ps').html(L10N.GLOBAL.LIST_PROCESSES_SELECT_CONT+0);
			$('#cancel').html(L10N.GLOBAL.BTN_CANCEL);
			$('#scan_now').html(L10N.GLOBAL.BTN_SCAN_NOW);			
			/*
			* SET BEHAVIOR
			*/
			$('#btn_cancel').bind('click',loadStartedPage);
			$('#btn_scan_now').bind('click',
				function() {
					if($('.cbox:checked:not(#cb_list_result)').length == 0){
						alert(L10N.GLOBAL.LIST_PROCESSES_NO_SELECTED_WORDING);
						return false;
					}
					settingStep(2);
					scanNow();		
				}
			)
			.attr('disabled',true)
			jQuery("#list_result").jqGrid(
			{
				datatype: 'local',
				mtype: 'GET',
				colNames:[
					  L10N.GLOBAL.LIST_PROCESSES_TABLE_NAME,
					  L10N.GLOBAL.LIST_PROCESSES_TABLE_ID,
					  L10N.GLOBAL.LIST_PROCESSES_TABLE_PUBLISHER,
					  L10N.GLOBAL.LIST_PROCESSES_TABLE_TITLE,
					  L10N.GLOBAL.LIST_PROCESSES_TABLE_FILEPATH
				],
				colModel :[ 
					{name:'process_name', index:'process_name', width:120,align:'left',resizable:false,sortable:false}, 
					{name:'id', index:'id', width:45,align:'left',resizable:false,sortable:false}, 
					{name:'publisher', index:'publisher', width:90,align:'left',resizable:false,sortable:false}, 
					{name:'title', index:'title', width:100, align:'left',resizable:false,sortable:false},
					{name:'file_path', index:'file_path', width:120, align:'left',resizable:false,sortable:false}
				],
				height:174,
				width:670,
				sortname: 'process_name',
				sortorder: "desc",
				recordpos: 'left',
				onSelectAll: function(){
					if($('input.cbox:checked',$('#list_result')).length > 0){
						$('.selected_item_ps').html(L10N.GLOBAL.LIST_PROCESSES_SELECT_CONT+$('input.cbox:checked',$('#list_result')).length);
						$('#btn_scan_now').attr('disabled',false);
					}else{
						$('#btn_scan_now').attr('disabled',true);
						$('.selected_item_ps').html(L10N.GLOBAL.LIST_PROCESSES_SELECT_CONT+0);
					}
				},
				onSelectRow: function(id){
					if($('input.cbox:checked',$('#list_result')).length > 0){			
						$('#btn_scan_now').attr('disabled',false);
						$('.selected_item_ps').html(L10N.GLOBAL.LIST_PROCESSES_SELECT_CONT+$('input.cbox:checked',$('#list_result')).length);						
						if($('.cbox:checked',$('#list_result')).length == $('input.cbox',$('#list_result')).length){
							$('#cb_list_result').attr('indeterminate',false);
							$('#cb_list_result').attr('checked',true);
						}else{
							$('#cb_list_result').attr('indeterminate',true);							
							$('#cb_list_result').attr('checked',true);
						}				
					}else{
						$('#btn_scan_now').attr('disabled',true);
						$('#cb_list_result').attr('indeterminate',false);
						$('#cb_list_result').attr('checked',false);
						$('.selected_item_ps').html(L10N.GLOBAL.LIST_PROCESSES_SELECT_CONT+0);
					}					
			   	},	
				afterInsertRow: function(rowid, aData, rowelem) {					
					if(aData.publisher_status!= true){
						jQuery("#list_result").jqGrid('setSelection',rowid,true);
					}else{
						jQuery("#list_result tr:eq("+(rowid-1)+")")
							.css('background','#f4ffec')
							.find('.trusted')	
							.attr('title',L10N.GLOBAL.LIST_PROCESSES_TABLE_TRUSTED);
					}
				},
				multiselect: true,
				viewrecords: true				
			}); 
			//for(var i=0;i<=data.items.length;i++){
			//	jQuery("#list_result").jqGrid('addRowData',i+1,data.items[i]);
			//}			
			jQuery('#list_result td').textOverflow('...',true);	
		}			  
	);	
}
function cleanActionSatusByGroup(data){	
	$(data).each(
		function(i,item){
			if(item.status=='true')		
				jQuery("#scan_result").jqGrid('setCell',item.id,'action','<span class="status success">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_SUCCESS+'</span>');
			else if(item.status=='false')
				jQuery("#scan_result").jqGrid('setCell',item.id,'action','<span class="status failed">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_FAILED+'</span>');	
			else if(item.status=='null')
				jQuery("#scan_result").jqGrid('setCell',item.id,'action','<span class="status no_action">'+L10N.GLOBAL.LOGS_RESTORE_NO_ACTION+'</span>');	
			else if(item.status=='restart')
				jQuery("#scan_result").jqGrid('setCell',item.id,'action','<span class="status restart">'+L10N.GLOBAL.LOGS_RESTORE_RESTART+'</span>');
		}			 
	);	
	checkCleanState(true);
	$('#cb_scan_result').attr('indeterminate',false);
	$('#cb_scan_result').attr('checked',false);
	$('#btn_clean').removeClass('btn_special').attr('disabled',true);
}
function checkCleanState(flag){
	var check_cleaned=true;
	if(flag){		
		jQuery("#scan_result tr").each(
			function(index,obj){				
				jQuery("#scan_result input.cbox").attr('checked',false);				
				var _action= jQuery("#scan_result").jqGrid('getCell',(index+1),'action');	
				if(_action==''){
					check_cleaned= false;
				}
			}								  
		);	
	}else{
		check_cleaned= false;
	}
	if(!check_cleaned){
		$('#tab2_id a').unbind('click');		
		$('#tab2_id a').bind('click',
			function(){
				//if(confirm(L10N.GLOBAL.CLEANING_SWITCH_CONFIRM)){
  			if(true){
					loadStartedPage();
					$('#tab2_id a').unbind('click');
					$('#tab2_id a').bind('click',loadLogsPage);
					$('#tab2_id a').bind('click',catch_function);
					$('#tab2_id a').trigger('click');
				}	
			}							   
		);
	}	
}
function actionResult(eventObj,omit){	
	if($('.cbox:checked:not(#'+omit+')').length == 0){	
		if(eventObj.id=='btn_clean')
			alert(L10N.GLOBAL.SCAN_RESULT_CLEAN_NO_SELECTED);
		else if(eventObj.id=='btn_upload')
			alert(L10N.GLOBAL.SCAN_RESULT_UPLOAD_NO_SELECTED);
		else if(eventObj.id=='btn_restore')
			alert(L10N.GLOBAL.LOGS_RESTORE_NO_SELECTED);
		return false;
	}
	if(eventObj.id=='btn_clean'){		
		cleanNow();			
	}else if(eventObj.id=='btn_upload'){
		uploadNow();		
	}else if(eventObj.id=="btn_restore"){
		//restoreNow();		
	}
}
function scanResult() {	
	$('#tab1_c').load('scan_result.html',
		function(){
			//set step
			settingStep(3);	
			//L10N //set behavior
			
			$('#upload')
			.html(L10N.GLOBAL.BTN_UPLOAD);						
			
			$('#btn_upload').hide();
			/*.parent()
			.bind('click',
				  function(){					 
					  actionResult(this,'cb_scan_result');					  
				  }
			 )			
			.hide();
			*/			
			 $('#btn_cancel').bind('click',loadStartedPage);
			
			 $('#clean')
			.html(L10N.GLOBAL.BTN_CLEAN)
			.parent()
			.bind('click',
				  function(){					 
					  actionResult(this,'cb_scan_result');					  
				  }
			)
			.attr('disabled',true);			
			jQuery("#scan_result").jqGrid(
			{
				datatype: 'local',
				mtype: 'GET',
				colNames:[
					  L10N.GLOBAL.SCAN_RESULT_TABLE_FILE_NAME,
					  L10N.GLOBAL.SCAN_RESULT_TABLE_ACTION					 
				],				
				colModel :[ 
					{name:'name_file', index:'name_file', width:120,align:'left',resizable:false,sortable:false}, 
					{name:'action', index:'action', width:45,align:'left',resizable:false,sortable:false}					
				],
				height:174,
				width:670,
				sortname: 'name_file',
				sortorder: "desc",
				recordpos: 'left',
				onSelectAll: function(){
					if($('input.cbox:checked',$('#scan_result')).length > 0){
						$('#btn_clean')
						.addClass('btn_special')
						.attr('disabled',false);
						
					}else{
						$('#btn_clean').attr('disabled',true);
					}
				},				
				onSelectRow: function(id){					
					if($('input.cbox:checked',$('#scan_result')).length > 0){			
						$('#btn_clean').attr('disabled',false).addClass('btn_special');						
						if($('.cbox:checked',$('#scan_result')).length == $('input.cbox',$('#scan_result')).length){
							$('#cb_scan_result').attr('indeterminate',false);
							$('#cb_scan_result').attr('checked',true);
						}else{
							$('#cb_scan_result').attr('indeterminate',true);
							$('#cb_scan_result').attr('checked',true);
						}				
					}else{
						$('#btn_clean').attr('disabled',true);
						$('#cb_scan_result').attr('indeterminate',false);
						$('#cb_scan_result').attr('checked',false);
					}					
			   	},				
				multiselect: true,
				viewrecords: true
				//caption: 'Scan Selected Processes:'
			}); 
		  //$('#fond_cont').html(L10N.GLOBAL.SCAN_RESULT_DISCRIPTION+' '+data.length);			
			//jQuery("#list").jqGrid('navGrid','#pager',{edit:false,add:false,del:false});
			
			//for(var i=0;i<=data.length;i++){
			//	jQuery("#scan_result").jqGrid('addRowData',i+1,data[i]);
			//}
		}
	);
}
function setLogsList(list){	
	$(list).each(
		function(index,item){
			$('<option value="'+item.id+'">'+item.date+'('+item.cont+')</option>')
			.appendTo('#logs_history')
		}
	);
	if($(list).length==0){	
		$('<option value="false">　 　　　 　　 　　　</option>')
		.appendTo('#logs_history');
	}	
	//changeLog();
}
function setLogDataResponse(data){
	$(data).each(
		function(i,item){
			if(item.status=='true') {
				//alert('i ==>' + i + ', ' + 'id ==>' + item.id + ', ' + 'status ==>' + item.status);
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status success">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_SUCCESS+'</span>');
			} else if(item.status=='false') {
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status failed">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_FAILED+'</span>');	
			} else if(item.status=='null') {
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status no_action">'+L10N.GLOBAL.LOGS_RESTORE_NOT_CHANGED+'</span>');	
			} else if(item.status=='restart') {
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status restart">'+L10N.GLOBAL.LOGS_RESTORE_RESTART+'</span>');
			} else if(item.status=='restored') {
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status restored">'+L10N.GLOBAL.LOGS_RESTORE_RESTORED+'</span>');
				jQuery("#logs_table #"+item.id).attr('disabled',true).css('background','#eee').find('input[type=checkbox]').remove();				
			}else if(item.status=='not_replaced') {
				jQuery("#logs_table").jqGrid('setCell',item.id,'action','<span class="status notreplace">'+L10N.GLOBAL.LOGS_NOT_REPLACED+'</span>');
			}
		}
	);	
}

function setQLogDataResponse(data){
	$(data).each(
		function(i,item){
			if(item.status=='true') {
				//alert('i ==>' + i + ', ' + 'id ==>' + item.id + ', ' + 'status ==>' + item.status);
				jQuery("#q_logs_table").jqGrid('setCell',item.id,'action','<span class="status success">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_SUCCESS+'</span>');
			} else if(item.status=='false') {
				jQuery("#q_logs_table").jqGrid('setCell',item.id,'action','<span class="status failed">'+L10N.GLOBAL.SCAN_RESULT_CLEANNED_FAILED+'</span>');	
			} else if(item.status=='null') {
				jQuery("#q_logs_table").jqGrid('setCell',item.id,'action','<span class="status no_action">'+L10N.GLOBAL.LOGS_RESTORE_NOT_CHANGED+'</span>');	
			} else if(item.status=='restart') {
				jQuery("q_logs_table").jqGrid('setCell',item.id,'action','<span class="status restart">'+L10N.GLOBAL.LOGS_RESTORE_RESTART+'</span>');
			} else if(item.status=='restored') {
				jQuery("#q_logs_table").jqGrid('setCell',item.id,'action','<span class="status restored">'+L10N.GLOBAL.LOGS_RESTORE_RESTORED+'</span>');
				jQuery("#q_logs_table #"+item.id).attr('disabled',true).css('background','#eee').find('input[type=checkbox]').remove();				
			}else if(item.status=='not_replaced') {
				jQuery("#q_logs_table").jqGrid('setCell',item.id,'action','<span class="status notreplace">'+L10N.GLOBAL.LOGS_NOT_REPLACED+'</span>');
			}
		}
	);	
}

function setLogData(){	

	jQuery("#logs_table").html('');	
	jQuery("#logs_table").jqGrid(
	{
		datatype: 'local',
		mtype: 'GET',
		colNames:[
			  L10N.GLOBAL.SCAN_RESULT_LOGS_FILE_NAME//,
			  //L10N.GLOBAL.SCAN_RESULT_TABLE_ACTION					 
		],				
		colModel :[ 
			{name:'name_file', index:'name_file', width:120,align:'left',resizable:true,sortable:false}//, 
			//{name:'action', index:'action', width:45,align:'left',resizable:false,sortable:false}					
		],
		height:205,
		width:670,
		sortname: 'name_file',
		sortorder: "desc",
		recordpos: 'left',
		onSelectAll: function(){
			if($('input.cbox:checked',$('#logs_table')).length > 0){				
				$('#delete_log').attr('disabled',false);
			}else{				
				$('#delete_log').attr('disabled',true);
			}
		},
		ondblClickRow: function dblClick(id) {
			window.external.showLog(id);
			$('#cb_logs_table').attr('checked',false);
		},
		onSelectRow: function(id){
			if($('input.cbox:checked',$('#logs_table')).length > 0){
				$('#delete_log').attr('disabled',false);
				/*
				if($('.cbox:checked',$('#logs_table')).length == $('input.cbox',$('#logs_table')).length){
					$('#cb_logs_table').attr('indeterminate',false);
					$('#cb_logs_table').attr('checked',true);
				}else{
					$('#cb_logs_table').attr('indeterminate',true);
					$('#cb_logs_table').attr('checked',true);
				}	
				*/			
			}else{				
				$('#delete_log').attr('disabled',true);
				$('#cb_logs_table').attr('indeterminate',false);
				$('#cb_logs_table').attr('checked',false);
			}
		},		
		afterInsertRow: function(rowid, aData, rowelem) {
		},
		//pager: '#pager',
		//rowNum:10,
		//rowList:[10,20,30],
		//sortname: 'Process Name',
		//sortorder: 'desc',
		multiselect: true,
		viewrecords: true
		//caption: 'Scan Selected Processes:'
	}); 
	jQuery('#logs_table td').textOverflow('...',true);
}

function setQuaratineData() {
	jQuery("#q_logs_table").html('');	
	jQuery("#q_logs_table").jqGrid(
	{
		datatype: 'local',
		mtype: 'GET',
		colNames:[
			  L10N.GLOBAL.Q_LOGS_DATE,
			  L10N.GLOBAL.Q_LOGS_TYPE,
			  L10N.GLOBAL.Q_LOGS_ITEM					 
		],				
		colModel :[ 
			{name:'name_file', index:'name_file', width:65,align:'left',resizable:true,sortable:false}, 
			{name:'action', index:'action', width:45,align:'left',resizable:true,sortable:false},
			{name:'item', index:'item', width:45,align:'left',resizable:true,sortable:false}
		],
		height:205,
		width:670,
		sortname: 'name_file',
		sortorder: "desc",
		recordpos: 'left',
		onSelectAll: function(){
			if($('input.cbox:checked',$('#q_logs_table')).length > 0){				
				$('#btn_q_restore').attr('disabled',false);
				$('#btn_q_remove').attr('disabled',false);
			}else{				
				$('#btn_q_restore').attr('disabled',true);
				$('#btn_q_remove').attr('disabled',true);
			}
		},
		onSelectRow: function(id){
			if($('input.cbox:checked',$('#q_logs_table')).length > 0){
				$('#btn_q_restore').attr('disabled',false);
				$('#btn_q_remove').attr('disabled',false);
				/*
				if($('.cbox:checked',$('#q_logs_table')).length == $('input.cbox',$('#q_logs_table')).length){
					$('#cb_logs_table').attr('indeterminate',false);
					$('#cb_logs_table').attr('checked',true);
				}else{
					$('#cb_logs_table').attr('indeterminate',true);
					$('#cb_logs_table').attr('checked',true);
				}	
				*/			
			}else{				
				$('#btn_q_restore').attr('disabled',true);
				$('#btn_q_remove').attr('disabled',true);
				$('#cb_logs_table').attr('indeterminate',false);
				$('#cb_logs_table').attr('checked',false);
			}					
		},		
		afterInsertRow: function(rowid, aData, rowelem) {
		},
		//pager: '#pager',
		//rowNum:10,
		//rowList:[10,20,30],
		//sortname: 'Process Name',
		//sortorder: 'desc',
		multiselect: true,
		viewrecords: true
		//caption: 'Scan Selected Processes:'
	}); 
	jQuery('#q_logs_table td').textOverflow('...',true);
}


function loadLogsPage(){	
	$('#tab2_c').load('logs.html',
		function() {
			//L10N
			$('.logs_list #clean_log').val(L10N.GLOBAL.LOGS_CLEAN_LOG_BUTTON);			
			$('.logs_list span').html(L10N.GLOBAL.LOGS_LIST_TITLE);
			$('#logs_history').bind('change',changeLog);
			//$('#restore').html(L10N.GLOBAL.BTN_RESTORE);
			//$('#show_log').html(L10N.GLOBAL.BTN_SHOW_LOG);
			//$('#show_log').bind('click', showLog);
			
			$('#delete_log').html(L10N.GLOBAL.BTN_DELETE_LOG);	
			$('#delete_log').bind('click', cleanLog);
			$('#delete_log').attr('disabled',true);
			
			/*
			$('#btn_delete_log')
			.bind('click',
				 function(){
					actionResult(this,'cb_logs_table');
				 }
			 )
			.attr('disabled',true);
			$('#btn_show_log')
			.bind('click',
				 function(){
					actionResult(this,'cb_logs_table');
				 }
			)
			.attr('disabled',true);
			*/
			//$('#btn_upload').parent().hide();
			//$('#btn_restore').parent().hide();
			loadLogsList();
		}
	);
}


function loadQuaratinePage(){
	$('#tab3_c').load('Quaratines.html',
		function() {
			//L10N
			$('.logs_list #clean_log_q').val(L10N.GLOBAL.LOGS_CLEAN_LOG_BUTTON);			
			$('.logs_list span').html(L10N.GLOBAL.Q_LOGS_LIST_TITLE);
			$('#quaratine_log_history').bind('change',changeLog);
			$('#remove').html(L10N.GLOBAL.BTN_REMOVE);
			$('#restore').html(L10N.GLOBAL.BTN_RESTORE);
			//$('#upload').html(L10N.GLOBAL.BTN_UPLOAD);	
			
			
			$('#clean_log_q').bind('click',cleanQLog);
			
			$('#btn_q_remove')
			.bind('click', onClickQRemove)
			.attr('disabled',true);
			
			$('#btn_q_restore')
			.bind('click', onClickQRestore)
			.attr('disabled',true);
			
			setQuaratineData();
			//$('#btn_upload').parent().hide();
			//loadLogsList();
			loadQLogsList();
		}
	);
}


function setConfigurationSettings(data) {
	if (data.enableSPN) {
		$('#c_spn_feedback').attr('checked', 'checked');
	} else {
		$('#c_spn_feedback').removeAttr('checked');
	}	
	if (data.enableAutoUpdate) {
		$('#c_auto_update').attr('checked', 'checked');
	} else {
		$('#c_auto_update').removeAttr('checked');
	}
}
function myDateFormatter(cellvalue, options, rowObject) {
	var date_format = L10N.GLOBAL.UPDATE_RELEASE_TIME_FORMAT;
	return (new Date(cellvalue).format(date_format));
}
function setUpdateStatus(data) {
	var last_update_time = new Date(data.last_update_timestamp);
	var current_time = new Date();
	var ms_of_a_day = 24 * 60 * 60 * 1000;
	var day_difference = Math.floor(current_time.getTime() / ms_of_a_day) - Math.floor(last_update_time.getTime() / ms_of_a_day);

	jQuery("#last_update_time").html(last_update_time.format(L10N.GLOBAL.LAST_UPDATE_TIME_FORMAT));
	if (day_difference <= 0) {
		jQuery("#last_update_note").html(L10N.GLOBAL.LAST_UPDATE_NOTE_TODAY);
	} else if (day_difference == 1) {
		jQuery("#last_update_note").html(L10N.GLOBAL.LAST_UPDATE_NOTE_YESTERDAY);
	} else {
		jQuery("#last_update_note").html(L10N.GLOBAL.LAST_UPDATE_NOTE_N_DAYS_PREFIX + day_difference + L10N.GLOBAL.LAST_UPDATE_NOTE_N_DAYS_SUFFIX);
	}

	jQuery("#update_status_table").html('');	
	jQuery("#update_status_table").jqGrid({
		datatype: 'local',
		mtype: 'GET',
		colNames:[
			  L10N.GLOBAL.UPDATE_STATUS_TABLE_COMPONENT,
			  L10N.GLOBAL.UPDATE_STATUS_TABLE_VERSION
			  /*L10N.GLOBAL.UPDATE_STATUS_TABLE_RELEASE*/
		],				
		colModel :[ 
			{name: 'component', index: 'component', width: 200, align:'left', resizable: false, sortable: false}, 
			{name: 'version', index: 'version', width: 100, align:'left', resizable: false, sortable: false} 
			/*{name: 'release', index: 'release', width: 100, align:'left', resizable: false, sortable: false, formatter: myDateFormatter}*/
		],
		width: 300,
		height: "100%"
	});
	for(var i = 0; i <= data.update_status.length; i++){
		jQuery("#update_status_table").jqGrid('addRowData', i+1, data.update_status[i]);	
	}
	jQuery('#update_status_table td').textOverflow('...',true);
}
function loadSettingsPage(){	
	$('#tab4_c').load('configuration.html',
		function() {
			// L10N
			$('#c_spn_feedback_desc').html(L10N.GLOBAL.SPN_FEEDBACK_REPORT_FEEDBACK_AND_ISSUES);
			$('#c_spn_feedback_tooltip').attr('desc', L10N.GLOBAL.SPN_FEEDBACK_TOOLTIP_FOR_SETTINGS);
			$('#c_auto_update_desc').html(L10N.GLOBAL.AU_DESC_FOR_SETTINGS);
			$('#btn_update #update').html(L10N.GLOBAL.UPDATE_ACTION);
			$('#btn_save #save').html(L10N.GLOBAL.SAVE_SETTINGS_ACTION);
			
			$('#last_update_label').html(L10N.GLOBAL.LAST_UPDATE_LABEL);
			$('#last_update_time').html('');
			$('#last_update_note').html(L10N.GLOBAL.LAST_UPDATE_NOTE_YESTERDAY);
			
			// tooltip
			$('.tip').tooltip({hideHeader: true, w: '300px'});
			
			// Checkbox status
			//$('#c_spn_feedback').live('click', function() {
			//	$('#btn_save').removeAttr('disabled');
			//});
			$('#c_auto_update').live('click', function() {
				$('#btn_save').removeAttr('disabled');
			});
			getConfigurationSettings();
						
			// Update status table
			//getUpdateStatus();
			
			// Update button
			$('#btn_update').live('click', function() {
				updateNow();
			});
			
			// Save button
			$('#btn_save').live('click', function() {
				if (!($(this).attr('disabled') == true)) {
					var settings = {enableSPN: false, enableAutoUpdate: false};
					//if ($('#c_spn_feedback').attr('checked') == true) {
					//	settings.enableSPN = true;
					//}
					if ($('#c_auto_update').attr('checked') == true) {
						settings.enableAutoUpdate = true;
					}
					updateConfigurationSettings(settings);
					$(this).attr('disabled', 'disabled');
				}
			}).attr('disabled', 'disabled');
			// init complete, call program to notify the page is loaded to enable the verion information
			window.external.OnSettingsPageLoaded();
		}
	);
}

function loadUnwantedSoftwarePage(){
		$('#tab5_c').load('remove_unwanted.html',
		function() {
			//L10N
			//$('.logs_list #clean_log_q').val(L10N.GLOBAL.LOGS_CLEAN_LOG_BUTTON);			
			//$('.logs_list span').html(L10N.GLOBAL.UNWANTED_LOGS_LIST_TITLE);
			//$('#quaratine_log_history').bind('change',changeLog);
			//$('#unwanted_remove').html(L10N.GLOBAL.BTN_REMOVE);
			//$('#unwanted_restore').html(L10N.GLOBAL.BTN_RESTORE);
			//$('#upload').html(L10N.GLOBAL.BTN_UPLOAD);	
			
			
			//$('#clean_log_q').bind('click',cleanQLog);
			
			//$('#btn_unwanted_remove')
			//.bind('click', onClickUnwantedSoftwareRemove)
			//.attr('disabled',false);
			
			//$('#btn_unwanted_restore')
			//.bind('click', OnClickUnwantedSoftwareRestore)
			//.attr('disabled',false);
			
			//setUnwantedSoftwareData();
			//setQuaratineData();
			//$('#btn_upload').parent().hide();
			//loadUnwantedSoftwareList();
		}
	);
}

function setUnwantedSoftwareData() {
	jQuery("#unwanted_logs_table").html('');	
	jQuery("#unwanted_logs_table").jqGrid(
	{
		datatype: 'local',
		mtype: 'GET',
		colNames:[
			  L10N.GLOBAL.Q_LOGS_DATE,
			  L10N.GLOBAL.Q_LOGS_TYPE,
			  L10N.GLOBAL.Q_LOGS_ITEM					 
		],				
		colModel :[ 
			{name:'name_file', index:'name_file', width:65,align:'left',resizable:true,sortable:false}, 
			{name:'action', index:'action', width:45,align:'left',resizable:true,sortable:false},
			{name:'item', index:'item', width:45,align:'left',resizable:true,sortable:false}
		],
		height:205,
		width:670,
		sortname: 'name_file',
		sortorder: "desc",
		recordpos: 'left',
		
		onSelectAll: function(){
			if($('input.cbox:checked',$('#unwanted_logs_table')).length > 0){				
				$('#btn_unwanted_remove').attr('disabled',false);
				$('#btn_unwanted_restore').attr('disabled',false);
			}else{				
				$('#btn_unwanted_remove').attr('disabled',true);
				$('#btn_unwanted_restore').attr('disabled',true);
			}
		},
		onSelectRow: function(id){
			if($('input.cbox:checked',$('#unwanted_logs_table')).length > 0){
				$('#btn_unwanted_remove').attr('disabled',false);
				$('#btn_unwanted_restore').attr('disabled',false);
				/*
				if($('.cbox:checked',$('#q_logs_table')).length == $('input.cbox',$('#q_logs_table')).length){
					$('#cb_logs_table').attr('indeterminate',false);
					$('#cb_logs_table').attr('checked',true);
				}else{
					$('#cb_logs_table').attr('indeterminate',true);
					$('#cb_logs_table').attr('checked',true);
				}	
				*/			
			}else{				
				$('#btn_unwanted_remove').attr('disabled',true);
				$('#btn_unwanted_restore').attr('disabled',true);
				$('#cb_logs_table').attr('indeterminate',false);
				$('#cb_logs_table').attr('checked',false);
			}					
		},		
		afterInsertRow: function(rowid, aData, rowelem) {
		},
		//pager: '#pager',
		//rowNum:10,
		//rowList:[10,20,30],
		//sortname: 'Process Name',
		//sortorder: 'desc',
		multiselect: true,
		viewrecords: true
		//caption: 'Scan Selected Processes:'
	}); 
	jQuery('#unwanted_logs_table td').textOverflow('...',true);
}


/* 
 *	on document.ready: initialize the page default setting
 */
var tabSwitch;
var catch_function;
var selected_checkbox;
$(document).ready(
	function(){
		/*
		*	set L10N	
		*/
		//TAB		
		$('#tab1_id span').html(L10N.GLOBAL.TAB_SCAN);
		$('#tab2_id span').html(L10N.GLOBAL.TAB_LOG);
		$('#tab3_id span').html(L10N.GLOBAL.TAB_QUARATINE);
		$('#tab4_id span').html(L10N.GLOBAL.TAB_SETTINGS);
		//FOOTER
		$('.copy_right').html(L10N.GLOBAL.FOOTER_TXT);
		$('.version').html(L10N.GLOBAL.FOOTER_VER);
		
		/*
		* SET TAB BEHAVIOR
		*/
		tabSwitch = new ddtabcontent("tabSections");
		tabSwitch.setpersist(false);//remember the last clicked tab
		tabSwitch.setselectedClassTarget("linkparent"); //"link" or "linkparent"
		tabSwitch.init();
		
		
		//catch_function= $('#tab1_id a')[0].onclick;
		//$('#tab1_id a')[0].onclick= null;
		//$('#tab1_id a').bind('click',loadStartedPage);
		//$('#tab1_id a').bind('click',catch_function);	
		
		catch_function= $('#tab2_id a')[0].onclick;
		$('#tab2_id a')[0].onclick= null;
		$('#tab2_id a').bind('click',loadLogsPage);
		$('#tab2_id a').bind('click',catch_function);	

		catch_function= $('#tab3_id a')[0].onclick;
		$('#tab3_id a')[0].onclick= null;
		$('#tab3_id a').bind('click', loadQuaratinePage);
		$('#tab3_id a').bind('click', catch_function);

		catch_function= $('#tab4_id a')[0].onclick;
		$('#tab4_id a')[0].onclick= null;
		$('#tab4_id a').bind('click', loadSettingsPage);
		$('#tab4_id a').bind('click', catch_function);
			
		
		
		/*
		* LOAD DEFAULT CONTENT
		*/
		loadStartedPage();
		//loadLogsPage();
		
		//$(tabSwitch.tabs[1]).bind('click',showLogs);
		
		/*		  
		$("#btn_purge").attr("disabled", true);
		$("#btn_scan a").attr("disabled", true);
		 $("#btns_apply_setting a").attr("disabled", true).click(function() {
			var $this = $(this);
			if($this.attr('disabled')) {
				$this.removeAttr('disabled');
			} 
		});
		$('#device_list').data('edited',0);
		 */
	   // resetLogTable();	
		//load strings from localization.js
		// init tabs
		
		/*
		$("#tabSections li").click(tab_change);
		
		// check box
		$('.checkbox_list div').live('click', function() {
			switchCheck(this);
		});
		$('.checkbox_list span').live('click', function() {
			var chk = $(this).prev('div');
			if(chk.length<0) return ;
			
			chk = $(chk[0]);
			switchCheck(chk);
		});
		
		// OK button
		$('.list_inline li').click(function(){
			btnClick($(this).attr('id'));
		});
		
		// debug mode
		if(degubMode) {
			testUI();
		}*/
	}
);


function switchCheck(chk) {	
    chk = $(chk);
    var isEdited =  $('#device_list').data('edited');
    
    if(!isEdited) {
        $('#device_list').data('edited',1);
        $("#btns_apply_setting a").removeAttr("disabled");
    }
    if(chk.hasClass('checked')) {
        chk.removeClass('checked').addClass('unchecked');
    } else {
        chk.removeClass('unchecked').addClass('checked');
    }
}

function tab_change(){	
	if ( $('#tabSections .selected').attr('id') != lastTab){
		lastTab = $('#tabSections .selected').attr('id');
		$('#'+$('#tabSections .selected').attr('id')).click();
	}else{
		lastTab = '';
		return;
	}
	//alert($('#tabSections .selected').attr('id'));
}
