/* 
 * load top header & footer 
 */

//load content

var tabSwitch;

$(document).ready(function()
{
    //load strings from localization.js
    jsLoadString();
	initPageDisplay();	
    document.body.focus();
});

function jsLoadString(){
	//jsInsertString("id_name", l10n_id_name);
}

function initPageDisplay(){	
   
    tabSwitch = new ddtabcontent("tabSections");
	tabSwitch.setpersist(false);//remember the last clicked tab
	tabSwitch.setselectedClassTarget("linkparent"); //"link" or "linkparent"
	tabSwitch.init();

    var page = getURLParam("page");	

    $("#step_content").load(page+".html");

	//$("#btn_restore").live("click",function() {

			
	//});
}

function ConfirmStop()
{
	if( window.confirm("Stopping now might prevent the scan from finding some hidden threats. Do you still want to stop?") )
	{ document.getElementById("StopNow").click(); }
}

function ConfirmChangeActionToClean(x)
{
	if( document.getElementById(x).value == "Clean" ) {
		
		if( window.confirm("Fixing this detection can result in the deletion of a normal file. Continue changing the recommended action?") ) 
		{
			
		}
		else
		{
			var ctrl = document.getElementById(x);
			if( ctrl.options.selectedIndex == 1 ) 
			{
				ctrl.options[0].selected = true;
			}
			else
			{
				ctrl.options[1].selected = true;	
			}
		}
	}
}

function ConfirmChangeActionToPass(x)
{
	if( document.getElementById(x).value == "Pass" ) {
		
		if( window.confirm("Ignoring this threat can put your security at risk. Do you want to change the recommended action?") ) 
		{
			
		}
		else
		{
			var ctrl = document.getElementById(x);
			if( ctrl.options.selectedIndex == 1 ) 
			{
				ctrl.options[0].selected = true;
			}
			else
			{
				ctrl.options[1].selected = true;	
			}
		}
	}
}

function ConfirmRestore()
{
	if( $("#tbl input:checked.chk").length == 0 ) {
				alert("No file has been selected for restoration. Please select a file before clicking Restore.");
				return;
			}

			if( window.confirm("Restoring the selected files could put your security at risk. Do you still want to continue?") ) {
				$("#RestoreFile").val($("#History option:selected").val());
				$("#RestoreFile").click();
			}
}

function ChangeScanRecord()
{
	$("#ChangeSession").val($("#History option:selected").val());
	$("#ChangeSession").click();
}

function gotoNextStep(step_id) {
	$("ul.steps_menu").addClass("step" + step_id);
	var id_real = step_id - 1;
	$("ul.steps_menu > li:eq("+ id_real +")").addClass("step_on");

	if( step_id == 2 ) {
		tabSwitch.disableit("btn_preScan");
		$("#btn_preScan >span").addClass("disable");
	} else {
		$("#btn_preScan").attr("disabled", false);
		$("#btn_preScan").live("click",function () { $("#ShowHistory").click(); });
	}
}

function getURLParam(strParamName){
	  var strReturn = "";
	  var strHref = window.location.href;
	  var bFound=false;
	  var cmpstring = strParamName + "=";
	  var cmplen = cmpstring.length;

	  if ( strHref.indexOf("?") > -1 ){
	  
	    var strQueryString = strHref.substr(strHref.indexOf("?")+1);
	    var aQueryString = strQueryString.split("$");
	    
	    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
	      if (aQueryString[iParam].substr(0,cmplen)==cmpstring){
	        var aParam = aQueryString[iParam].split("=");
	        strReturn = aParam[1];
	        bFound=true;
	        break;
	      }  // endif
	      
	    } // end for
	  } // endif
	  
	  if (bFound==false) return null;
	  return strReturn;
}


var Start;

function onCountTime() {	 
	
	    Start = new Date();
	
	    setTimeout('ElapsedTime()', 1000);
}

function ElapsedTime() 
{

        var msecondsPerMinute = 1000 * 60;
        var msecondsPerHour = msecondsPerMinute * 60;
        var eleElapsedTime    = document.getElementById("TimeElapsed");
        var Now = new Date();
        var Elapsed = Now.getTime() - Start.getTime();
      
          // Repeat the previous calculation on the remainder using hours,
          // then subtract the hours from the remainder.
          hours = Math.floor( Elapsed / msecondsPerHour );
          Elapsed = Elapsed - (hours * msecondsPerHour );

          minutes = Math.floor( Elapsed / msecondsPerMinute );
          Elapsed = Elapsed - (minutes * msecondsPerMinute );

          seconds = Math.floor( Elapsed / 1000 );
         
          eleElapsedTime.innerText = (hours*60 + minutes) + " minutes " + seconds + " seconds";    
          
          setTimeout('ElapsedTime()', 1000); 
           
}



