﻿/**
 * @fileoverview This is a L10N string file. All strings are under a class - L10N
 */
var L10N = {};
L10N.GLOBAL = {
	/*Public start*/	
    PRODUCT_NAME: "Fake AV&trade; Settings",
    DETECTED_TITLE: "Botnet Found",
    DETECTED_TIME: "Time:",
    DETECTED_NAME: "Bot Name:",
    DETECTED_SOURCE: "Source:",
    DETECTED_DESTINATION: "Destination:",
	TAB_SCAN: "Scan",
	TAB_LOG: "Logs",
	TAB_UPDATE: "Update",
	TAB_QUARATINE: "Quaratine",
	SETP_GET_START: "Get Started",
	SETP_SCANNING: "Scanning",
	SETP_FIX_PROBLEMS: "Fix Problems",
	//Footer
    FOOTER_TXT : "©2010 Trend Micro, Inc. All rights reserved",
	FOOTER_VER : "V1.2.43 Build 3328",	
	//Button
    BTN_SAVE   : "Save",
    BTN_CANCEL : "Cancel",
    BTN_BACK   : "&lt;&lt; Back",
	BTN_SCAN_NOW  : "Scan Now",
    BTN_CLOSE  : "Close",
	BTN_NEXT   : "Next &gt;",
	BTN_CANCEL   : "Cancel",
	BTN_STOP_SCAN : "Stop Scan",
	BTN_STOP : "Stop",
	BTN_UPLOAD: "Upload",
	BTN_SHOW_LOG: "Show log",
	BTN_DELETE_LOG: "Delete log",
	BTN_UPLOAD_NOW: "Upload Now",
	BTN_CLEAN: "Clean",
	BTN_RESTORE: "Restore",
	BTN_CLEAN_LOG: "Delete",
	BTN_RESTART_NOW: "Restart Now",
	BTN_REMOVE: "Remove",
	/*Public end*/
	
	/*By Page start*/
	//Eula
	EULA_MSG: "Trend Micro FakeAV Tool is subject to the terms and conditions of the Trend Micro license agreement below.<br>Please read it carefully.",
	EULA_ACCEPT: "I accept the terms of the license agreement",
	EULA_NO_ACCEPT: "I do not accept the terms of the license agreement",
	EULA_PRINT: "Print this page",
	
	//SPN Feedback for EULA
	SPN_FEEDBACK_DESC_FOR_EULA: "Share threat information with Trend Micro",
	SPN_FEEDBACK_TOOLTIP_FOR_EULA: "Help improve your protection by anonymously contributing data about security threats found on your computer.",
	
	//Setting Start
	SETTING_METHOD:"Select a type of scan:",	
	SETTING_DSC_1: "This operation will scan all processes in your computer and list result of possible fakeAV program to be removed.",	
	SETTING_DSC_2: "You may drag the icon onto any window on the screen of your computer to trigger the fake AV scan.",
	SETTING_DSC_3: "This operation will scan the processes you choose.",
	SETTING_DSC_4: "You may drag the icon onto any window on the screen of your computer to remove the umwanted software.",
	SETTING_SCAN_ALL: "Scan All Processes",
	SETTING_TARGET_WINDOW: "Scan a Window & Remove FakeAV",
	SETTING_LIST_ALL: "Scan Selected Processes",
	
	//List Processes
	LIST_PROCESSES_DISCRIPTION: "Select Processes to Scan:",
	LIST_PROCESSES_TABLE_NAME: "Process",
	LIST_PROCESSES_TABLE_ID: "ID",
	LIST_PROCESSES_TABLE_PUBLISHER: "Publisher",
	LIST_PROCESSES_TABLE_TRUSTED: "Trusted Process",
	LIST_PROCESSES_TABLE_TITLE: "Title",
	LIST_PROCESSES_TABLE_FILEPATH: "Location",
	LIST_PROCESSES_SELECT_CONT: "Items Selected:",
	LIST_PROCESSES_NO_SELECTED_WORDING:"You must check an item to scan at least!",
	
	//Scanning
	SCANNING_HEADER: "Scanning The Computer",
	SCANNING_PROCESSES_SCANNED: "Processes Scanned:",
	SCANNING_PROCESSES_INFECTED: "Suspicious Process Found:",
	SCANNING_TIME_ELAPSE: ["Elapsed Time: "," minute(s),"," second(s)"],
	SCANNING_FILE: "Now Scanning:",
	
	//Scan Result
	SCAN_RESULT_DISCRIPTION:"Total Potential Threats Found:",
	SCAN_RESULT_TABLE_FILE_NAME: "Potential Threats Found",
	SCAN_RESULT_LOGS_FILE_NAME: "Logs file name",
	SCAN_RESULT_TABLE_ACTION: "Response",
	SCAN_RESULT_CLEAN_NO_SELECTED: "You must check an item to clean at least!",
	SCAN_RESULT_UPLOAD_NO_SELECTED: "You must check an item to upload at least!",
	SCAN_RESULT_CLEANNED_SUCCESS:"Cleaned",
	SCAN_RESULT_CLEANNED_FAILED:"Unable to Clean",	
	//Cleaning
	CLEANING_TITLE: "Removing potential threats...",
	//Cleanned Result
	CLEANING_HEADER: "Cleaning Summary",
	CLEANING_SUCCESS_INFO: "Cleaned:",
	CLEANING_FAILED: "Not Cleaned:",
	CLEANING_RESTART: "Restart required:",
	CLEANING_RESTART_DISCRIPTION: "You must restart the computer to finish removing some of the threats found.",
	CLEANING_UPLOAD_DISCRIPTION: "You may upload uncleaned files and logs to get  further helps.",
	CLEANING_SWITCH_CONFIRM: "Some of the potential threats are not cleaned yet. Are you sure you want to ignore them?	",
	
	//Upload
	UPLOAD_TITLE: "Uploading selected files",
	UPLOAD_PERCENT:"% Completed",
	UPLOAD_COMPLETED:"File uploading is completed.",
	UPLOAD_ERROR:"File uploading is unsuccessful. Possible error messge will be descrined here.",
	
	//Logs page
	LOGS_LIST_TITLE:"Log List:",
	LOGS_CLEAN_LOG_BUTTON: "Delete",
	LOGS_RESTORE_NO_SELECTED: "You must check an item to restore at least!",
	LOGS_RESTORE_NO_ACTION:"No Action",
	LOGS_RESTORE_RESTART:"Restart required",
	LOGS_RESTORE_RESTORED:"Restored",
	LOGS_NOT_REPLACED: "File Not Replaced",
	LOGS_RESTORE_NOT_CHANGED:"Not Yet Cleaned",
	
	//Clean log history
	CLEAN_LOG_HEADER:"Ready to Delete",
	CLEAN_LOG_TXT: "Please confirm that you really want to delete this listing.",
	CLEAN_NO_LOG_LIST: "It doesn't have any logs to clean",
	
	//Restore
	RESTORE_CONFIRM_HEADER: "Ready to Restore Your Selections",
	RESTORE_CONFIRM_TXT:"Please confirm that you really want to restore the selected items.",	
	RESTORE_CONFIRM_ATTENTION: "Restore unsafe items could put your security at risk.<br/>Please do not restore anything from the list without a very good reason.",
	RESTORE_CONFIRM_TITLE:"Restoring your selections...",
	RESTORE_CONFIRM_SELECTIONS_RESTORED:"Selections Restored",
	RESTORE_SUCCESS: "Items restored:",
	RESTORE_FAILED: "Existing files not replaced:",
	RESTORE_DISCRIPTION:"Some of the items that you want to restore are already available in thier original locations.",
	
	// q log  table
	Q_LOGS_LIST_TITLE: "Quaratine List:",
	Q_LOGS_DATE: "Date",
	Q_LOGS_TYPE: "Type",
	Q_LOGS_ITEM: "Item",

	// unwanted software
	UNWANTED_LOGS_LIST_TITLE: "Removed List:",
	

	//Settings Page
	//SPN Feedback for Settings Page
	SPN_FEEDBACK_DESC_FOR_SETTINGS: "Share threat information with Trend Micro",
	SPN_FEEDBACK_REPORT_FEEDBACK_AND_ISSUES: "Report feedback and issues to Trend Micro",
	SPN_FEEDBACK_TOOLTIP_FOR_SETTINGS: "Trend Micro automatically correlates and analyzes information about threats found on millions of computers to help better protect you. No personal information is gathered or shared.",

	//Automatic Update
	AU_DESC_FOR_SETTINGS: "Automatically download new updates",

	//Update Status Table
	UPDATE_STATUS_TABLE_COMPONENT: "Component",
	UPDATE_STATUS_TABLE_VERSION: "Version",
	UPDATE_STATUS_TABLE_RELEASE: "Released",
	UPDATE_RELEASE_TIME_FORMAT: "yyyy/mm/dd",
	
	//Update Action
	UPDATE_ACTION: "Update Now",
	UPDATE_HEADER: "Software Update",
	UPDATE_PERCENT_PREFIX: "",
	UPDATE_PERCENT_SUFFIX: "% Completed",
	UPDATE_STATUS: {
		// Steps
		CONNECTING_INTERNET: "Connecting to the Internet...",
		CONTACTING_TRENDMICRO: "Contacting Trend Micro...",
		CHECKING_UPDATE: "Checking new updates...",
		DOWNLOADING_UPDATE: "Downloading the latest update...",
		// Ending status
		NO_NEW_UPDATE: "You already have the latest version",
		UPDATE_RECEIVED: "Latest update received",
		UPDATE_FAILED: "Unable to update files"
	},
	UPDATE_NOTES: {
		UPDATE_FAILED_NOTE: "Please try again later.",
		RESTART_REQUIRED_NOTE: "The program must restart before you can use it."
	},
	UPDATE_COMMANDS: {
		CANCEL: "Cancel",
		OK: "OK"
	},
	
	//Last Update
	LAST_UPDATE_LABEL: "Last update:",
	LAST_UPDATE_TIME_FORMAT: "yyyy/mm/dd HH:MM:ss",
	LAST_UPDATE_NOTE_TODAY: "today",
	LAST_UPDATE_NOTE_YESTERDAY: "yesterday",
	LAST_UPDATE_NOTE_N_DAYS_PREFIX: "",
	LAST_UPDATE_NOTE_N_DAYS_SUFFIX: " days ago",
	
	//Save Action
	SAVE_SETTINGS_ACTION: "Save",
	
	// This should always be the last item in the list so there is no need to worry about the ',' when adding/removing items to/from the list 
	EMPTY_STRING: ""	
}


